searchData={"items":[{"type":"module","title":"Phoenix.LiveReloader","doc":"Router for live-reload detection in development.","ref":"Phoenix.LiveReloader.html"},{"type":"module","title":"Usage - Phoenix.LiveReloader","doc":"Add the `Phoenix.LiveReloader` plug within a `code_reloading?` block\nin your Endpoint, ie:\n\n    if code_reloading? do\n      socket \"/phoenix/live_reload/socket\", Phoenix.LiveReloader.Socket\n      plug Phoenix.CodeReloader\n      plug Phoenix.LiveReloader\n    end","ref":"Phoenix.LiveReloader.html#module-usage"},{"type":"module","title":"Configuration - Phoenix.LiveReloader","doc":"All live-reloading configuration must be done inside the `:live_reload`\nkey of your endpoint, such as this:\n\n    config :my_app, MyApp.Endpoint,\n      ...\n      live_reload: [\n        patterns: [\n          ~r{priv/static/.*(js|css|png|jpeg|jpg|gif)$},\n          ~r{lib/my_app_web/views/.*(ex)$},\n          ~r{lib/my_app_web/templates/.*(eex)$}\n        ]\n      ]\n\nThe following options are supported:\n\n  * `:patterns` - a list of patterns to trigger the live reloading.\n    This option is required to enable any live reloading.\n\n  * `:notify` - a keyword list of topics pointing to a list of patterns.\n    A message of the form `{:phoenix_live_reload, topic, path}` will be\n    broadcast on the topic whenever file in the list of patterns changes.\n\n  * `:debounce` - an integer in milliseconds to wait before sending\n    live reload events to the browser. Defaults to `0`.\n\n  * `:iframe_attrs` - attrs to be given to the iframe injected by\n    live reload. Expects a keyword list of atom keys and string values.\n\n  * `:target_window` - the window that will be reloaded, as an atom.\n    Valid values are `:top` and `:parent`. An invalid value will\n    default to `:top`.\n\n  * `:url` - the URL of the live reload socket connection. By default\n    it will use the browser's host and port.\n\n  * `:suffix` - if you are running live-reloading on an umbrella app,\n    you may want to give a different suffix to each socket connection.\n    You can do so with the `:suffix` option:\n\n        live_reload: [\n          suffix: \"/proxied/app/path\"\n        ]\n\n    And then configure the endpoint to use the same suffix:\n\n        if code_reloading? do\n          socket \"/phoenix/live_reload/socket/proxied/app/path\", Phoenix.LiveReloader.Socket\n          ...\n        end\n\n  * `:reload_page_on_css_changes` - If true, CSS changes will trigger a full\n    page reload like other asset types instead of the default hot reload.\n    Useful when class names are determined at runtime, for example when\n    working with CSS modules. Defaults to false.\n\n  * `:web_console_logger` - If true, the live reloader will log messages\n    to the web console in your browser. Defaults to false.\n    *Note*: Requires Elixir v1.15+ and your appplication javascript bundle will need\n    to enable logs. See the README for more information.\n\nIn an umbrella app, if you want to enable live reloading based on code\nchanges in sibling applications, set the `reloadable_apps` option on your\nendpoint to ensure the code will be recompiled, then add the dirs to\n`:phoenix_live_reload` to trigger page reloads:\n\n    # in config/dev.exs\n    root_path =\n      __ENV__.file\n      |> Path.dirname()\n      |> Path.join(\"..\")\n      |> Path.expand()\n\n    config :phoenix_live_reload, :dirs, [\n      Path.join([root_path, \"apps\", \"app1\"]),\n      Path.join([root_path, \"apps\", \"app2\"]),\n    ]\n\nYou'll also want to be sure that the configured `:patterns` for\n`live_reload` will match files in the sibling application.","ref":"Phoenix.LiveReloader.html#module-configuration"},{"type":"function","title":"Phoenix.LiveReloader.call/2","doc":"","ref":"Phoenix.LiveReloader.html#call/2"},{"type":"function","title":"Phoenix.LiveReloader.init/1","doc":"","ref":"Phoenix.LiveReloader.html#init/1"},{"type":"module","title":"Phoenix.LiveReloader.Application","doc":"","ref":"Phoenix.LiveReloader.Application.html"},{"type":"function","title":"Phoenix.LiveReloader.Application.start/2","doc":"","ref":"Phoenix.LiveReloader.Application.html#start/2"},{"type":"function","title":"Phoenix.LiveReloader.Application.start_link/0","doc":"","ref":"Phoenix.LiveReloader.Application.html#start_link/0"},{"type":"module","title":"Phoenix.LiveReloader.Channel","doc":"Phoenix's live-reload channel.","ref":"Phoenix.LiveReloader.Channel.html"},{"type":"function","title":"Phoenix.LiveReloader.Channel.child_spec/1","doc":"","ref":"Phoenix.LiveReloader.Channel.html#child_spec/1"},{"type":"function","title":"Phoenix.LiveReloader.Channel.handle_in/3","doc":"","ref":"Phoenix.LiveReloader.Channel.html#handle_in/3"},{"type":"function","title":"Phoenix.LiveReloader.Channel.handle_info/2","doc":"","ref":"Phoenix.LiveReloader.Channel.html#handle_info/2"},{"type":"function","title":"Phoenix.LiveReloader.Channel.join/3","doc":"","ref":"Phoenix.LiveReloader.Channel.html#join/3"},{"type":"function","title":"Phoenix.LiveReloader.Channel.start_link/1","doc":"","ref":"Phoenix.LiveReloader.Channel.html#start_link/1"},{"type":"module","title":"Phoenix.LiveReloader.Socket","doc":"The Socket handler for live reload channels.","ref":"Phoenix.LiveReloader.Socket.html"},{"type":"function","title":"Phoenix.LiveReloader.Socket.connect/2","doc":"","ref":"Phoenix.LiveReloader.Socket.html#connect/2"},{"type":"function","title":"Phoenix.LiveReloader.Socket.id/1","doc":"","ref":"Phoenix.LiveReloader.Socket.html#id/1"}],"content_type":"text/markdown"}